package com.yonge.cooleshow.biz.dal.vo.res;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;
import java.util.List;

/**
 * @Author: liweifan
 * @Data: 2022/4/21 11:29
 */
@ApiModel(value = "AccountTotal", description = "用户账户统计对象")
public class AccountTotal {
    @ApiModelProperty("总收入")
    private BigDecimal totalInAmount = BigDecimal.ZERO;
    @ApiModelProperty("陪练课")
    private BigDecimal practiceAmount = BigDecimal.ZERO;
    @ApiModelProperty("陪练课-百分比")
    private BigDecimal practiceRate = BigDecimal.ZERO;
    @ApiModelProperty("直播课")
    private BigDecimal liveAmount = BigDecimal.ZERO;
    @ApiModelProperty("直播课-百分比")
    private BigDecimal liveRate = BigDecimal.ZERO;
    @ApiModelProperty("视频课")
    private BigDecimal videoAmount = BigDecimal.ZERO;
    @ApiModelProperty("视频课-百分比")
    private BigDecimal videoRate = BigDecimal.ZERO;
    @ApiModelProperty("乐谱")
    private BigDecimal musicAmount = BigDecimal.ZERO;
    @ApiModelProperty("乐谱-百分比")
    private BigDecimal musicRate = BigDecimal.ZERO;

    @ApiModelProperty("时间（详情数据中使用）")
    private String timeStr;
    @ApiModelProperty("详情数据")
    private List<AccountTotal> infoList;

    public BigDecimal getTotalInAmount() {
        return totalInAmount;
    }

    public void setTotalInAmount(BigDecimal totalInAmount) {
        this.totalInAmount = totalInAmount;
    }

    public BigDecimal getPracticeAmount() {
        return practiceAmount;
    }

    public void setPracticeAmount(BigDecimal practiceAmount) {
        this.practiceAmount = practiceAmount;
    }

    public BigDecimal getPracticeRate() {
        return practiceRate;
    }

    public void setPracticeRate(BigDecimal practiceRate) {
        this.practiceRate = practiceRate;
    }

    public BigDecimal getLiveAmount() {
        return liveAmount;
    }

    public void setLiveAmount(BigDecimal liveAmount) {
        this.liveAmount = liveAmount;
    }

    public BigDecimal getLiveRate() {
        return liveRate;
    }

    public void setLiveRate(BigDecimal liveRate) {
        this.liveRate = liveRate;
    }

    public BigDecimal getVideoAmount() {
        return videoAmount;
    }

    public void setVideoAmount(BigDecimal videoAmount) {
        this.videoAmount = videoAmount;
    }

    public BigDecimal getVideoRate() {
        return videoRate;
    }

    public void setVideoRate(BigDecimal videoRate) {
        this.videoRate = videoRate;
    }

    public BigDecimal getMusicAmount() {
        return musicAmount;
    }

    public void setMusicAmount(BigDecimal musicAmount) {
        this.musicAmount = musicAmount;
    }

    public BigDecimal getMusicRate() {
        return musicRate;
    }

    public void setMusicRate(BigDecimal musicRate) {
        this.musicRate = musicRate;
    }

    public String getTimeStr() {
        return timeStr;
    }

    public void setTimeStr(String timeStr) {
        this.timeStr = timeStr;
    }

    public List<AccountTotal> getInfoList() {
        return infoList;
    }

    public void setInfoList(List<AccountTotal> infoList) {
        this.infoList = infoList;
    }
}